curl --request GET \
--url https://api.skulabs.com/shipments/get_by_range \
--header 'Authorization: Bearer <token>'{
"orders": [
{
"_id": "507f1f77bcf86cd799439011",
"store_id": "507f1f77bcf86cd799439011",
"order_number": "<string>",
"batch_number": "<string>",
"status": "<string>",
"tags": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"notes": [
{}
],
"shipments": [
{
"_id": "507f1f77bcf86cd799439011",
"user_id": "507f1f77bcf86cd799439011",
"time": "2025-01-15T12:00:00.000Z",
"voided": true,
"return_label": true,
"deducted": true,
"response": {
"provider": "<string>",
"service": "<string>",
"label_url": "<string>",
"tracking_number": "<string>",
"tracking_url": "<string>",
"amount": 123,
"currency": "<string>",
"shipment_id": "<string>",
"signature": true
},
"request": {
"order_items": [
{
"item_id": "<string>",
"variant_id": "<string>",
"quantity": 123,
"sku": "<string>"
}
],
"parcel": {
"length": 123,
"width": 123,
"height": 123,
"weight": 123,
"weight_unit": "<string>",
"dimensions_unit": "<string>"
},
"address": {},
"carrier_account_ids": [
"<string>"
],
"provider": "<string>",
"service": "<unknown>"
}
}
],
"stash": {}
}
],
"skulabs_warning": {
"message": "<string>",
"type": "<string>"
}
}Retrieve shipments within a date range with optional warehouse filtering.
curl --request GET \
--url https://api.skulabs.com/shipments/get_by_range \
--header 'Authorization: Bearer <token>'{
"orders": [
{
"_id": "507f1f77bcf86cd799439011",
"store_id": "507f1f77bcf86cd799439011",
"order_number": "<string>",
"batch_number": "<string>",
"status": "<string>",
"tags": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"notes": [
{}
],
"shipments": [
{
"_id": "507f1f77bcf86cd799439011",
"user_id": "507f1f77bcf86cd799439011",
"time": "2025-01-15T12:00:00.000Z",
"voided": true,
"return_label": true,
"deducted": true,
"response": {
"provider": "<string>",
"service": "<string>",
"label_url": "<string>",
"tracking_number": "<string>",
"tracking_url": "<string>",
"amount": 123,
"currency": "<string>",
"shipment_id": "<string>",
"signature": true
},
"request": {
"order_items": [
{
"item_id": "<string>",
"variant_id": "<string>",
"quantity": 123,
"sku": "<string>"
}
],
"parcel": {
"length": 123,
"width": 123,
"height": 123,
"weight": 123,
"weight_unit": "<string>",
"dimensions_unit": "<string>"
},
"address": {},
"carrier_account_ids": [
"<string>"
],
"provider": "<string>",
"service": "<unknown>"
}
}
],
"stash": {}
}
],
"skulabs_warning": {
"message": "<string>",
"type": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Start date for shipment range (ISO 8601)
"2025-01-01T00:00:00.000Z"
End date for shipment range (ISO 8601)
"2025-01-31T23:59:59.000Z"
Page number for pagination
1
Return simplified response with fewer fields